Package ru.bitel.bgbilling.modules.call.server.event

# Class BeforeLoginDeleteEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.modules.call.server.event.BeforeLoginDeleteEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class BeforeLoginDeleteEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent
Синхронное событие - перед удалением логина.
Событие генерируется перед удаленем логина.
Унаследован от `LocalEvent`

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BeforeLoginDeleteEvent()`
  ``
  `BeforeLoginDeleteEvent(int userId, int mid, Login login)`
  Конструктор события.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Login`
  `getLogin()`
  Возвращает логин.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BeforeLoginDeleteEvent

    protected BeforeLoginDeleteEvent()

  - ### BeforeLoginDeleteEvent

    public BeforeLoginDeleteEvent(int userId, int mid, Login login)
    Конструктор события.
    Parameters:
      `userId` - - id пользователя, сгенерировавшего событие
      `mid` - - код модуля
      `login` - - объект логина

- ## Method Details

  - ### getLogin

    public Login getLogin()
    Возвращает логин.
    Returns:
      login - логин